//CGfxGravel - [2020-04-13 11:57:46]
#ifndef _CGFXGRAVEL_H_
#define _CGFXGRAVEL_H_

#include "CFTTRenderHelper.h"

/*
001B6CF0 CGfxGravel::Init()
001B6EC0 CGfxGravel::RenderOpaque()
001B6F3C CGfxGravel::RenderDecal()
001B6F90 CGfxGravel::Shutdown()
*/

class CGfxGravel {
public:
  static void Init();          //001B6CF0
  static void RenderOpaque();  //001B6EC0
  static void RenderDecal();   //001B6F3C
  static void Shutdown();      //001B6F90

  static int ms_iGravelOpaqueMat;                   //00342D0C
  static int ms_iGravelAlphaMat;                    //00342D10
  static CFTTRenderHelper* ms_pOpaqueRenderHelper;  //0047617C
  static CFTTRenderHelper* ms_pAlphaRenderHelper;   //00476180
  static bool ms_bCullResult;                       //00476184
};

#endif  //_CGFXGRAVEL_H_